View Issue Details

IDProjectCategoryView StatusLast Update
0001258SketcherFeaturepublic2019-07-29 15:13
Reportermntc Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0001258: Constraint application to all selected objects at once
Descriptione.g.:

* set one radius to multiple selected circles and arcs
* set one distance to multiple selected points
* set parallel or equal not two, but many lines at once
* etc with verticality, coincidency, etc

it looks to be simple in implementation but very time-saving in work
TagsNo tags attached.
FreeCAD Information

Activities

normandc

2013-10-12 03:58

manager   ~0003735

Last edited: 2013-10-12 03:58

1) is already possible. Select all circles/arcs, set an equality constraint. Then you only need to add a single radius constraint.
3) and 4) are already possible except for "coincidency".
2) does not make sense to me...

wmayer

2013-10-12 11:18

administrator   ~0003737

git show 622228d adds the coincidence for the selected vertexes

Related Changesets

FreeCAD: master 622228d5

2013-10-12 15:16:46

wmayer

Details Diff
0001258: Constraint application to all selected objects at once Affected Issues
0001258
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File

Issue History

Date Modified Username Field Change
2013-10-01 17:07 mntc New Issue
2013-10-12 03:58 normandc Note Added: 0003735
2013-10-12 03:58 normandc Note Edited: 0003735
2013-10-12 11:18 wmayer Note Added: 0003737
2013-10-12 11:18 wmayer Status new => closed
2013-10-12 11:18 wmayer Resolution open => fixed
2013-10-12 11:18 wmayer Fixed in Version => 0.14
2019-07-29 15:13 Kunda1 Changeset attached => FreeCAD master 622228d5